Bug 233850

Summary: Review Request: freepops - POP3 interface to webmails
Product: [Fedora] Fedora Reporter: Francesco Laurita <francesco>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mtasaka, thibaud.mouton
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-06-22 12:18:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Francesco Laurita 2007-03-25 09:07:59 EDT
Spec URL: http://francesco-laurita.info/files/fedora/freepops.spec
SRPM URL: http://francesco-laurita.info/files/fedora/freepops-0.2.0-3.src.rpm
Description:

Hi! This is my first package and I'm seeking a sponsor

FreePOPs is an easily extensible program, which allows
access to the most varied resources through the POP3 protocol.
Mainly, it can be used to download mail from the most famous webmails,
but it could also be used as an aggregator for RSS feeds and much more.
This way it is possible to get all your messages in your favorite email client.
Comment 1 Mamoru TASAKA 2007-03-25 09:49:19 EDT
*** Bug 208113 has been marked as a duplicate of this bug. ***
Comment 2 Francesco Laurita 2007-03-26 02:01:24 EDT
(In reply to comment #1)
> *** Bug 208113 has been marked as a duplicate of this bug. ***

I have grabbed some tips from your previous comments about freepops.

This is the updated version:

Spec URL: http://francesco-laurita.info/files/fedora/freepops.spec
SRPM URL: http://francesco-laurita.info/files/fedora/freepops-0.2.0-4.src.rpm
Comment 3 Mamoru TASAKA 2007-04-09 11:00:13 EDT
Well, for 0.4-2:

* Timestamps
  - Please keep timestamps on files which are not
    created or modified during build stage as much as
    possible (for this package, png/svg/xml files).

    The following method works for this package.
---------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
---------------------------------------------------

* Duplicate entry
  - mockbuild says:
---------------------------------------------------
+ /bin/mkdir -p /var/tmp/tasks-0.4-2.fc7-root-mockbuild/usr/share/doc/tasks-0.4
+ cp -pr AUTHORS ChangeLog COPYING NEWS README
/var/tmp/tasks-0.4-2.fc7-root-mockbuild/usr/share/doc/tasks-0.4
+ exit 0
warning: File listed twice: /usr/share/tasks/tasks-ui.xml
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
---------------------------------------------------
    Note: the entry 
---------------------------------------------------
%files
%defattr(-,root,root,-)
foo/
---------------------------------------------------
    (where foo is a directory) means the directory foo/ itself and
    all the files/directories/etc under foo/, while
---------------------------------------------------
%files
%defattr(-,root,root,-)
%dir foo/
---------------------------------------------------
    means the directory foo/ only.

Well,
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 4 Mamoru TASAKA 2007-04-09 11:01:25 EDT
Well, very sorry...

Please ignore my last comment... It was addressed for
another review request.....
Comment 5 Mamoru TASAKA 2007-04-09 11:08:41 EDT
Anyway I will review this (again please ignore my comment #3)
Comment 6 Mamoru TASAKA 2007-04-09 11:48:46 EDT
Umm... 4 months has passed since I was reviewing
bug 208113 and I have completely forgotton my previous
review....

Well, this is a first review of this bug. While perhaps
I have not checked this package fully, I think some cleanup
is needed before I can do so.

For 0.2.0-4:

Z. First..
* Unneeded comment
  - Please remove all unneeded comments.... These comments
    make it harder to read spec file easily.

A. Description section
* Source0
  - Please specify the URL where we can get tarball at Source0

* Redundant BuildRequires
  - The following BRs are not needed because they are included
    in the minimal buildroot environment.
-------------------------------------------------
sed
-------------------------------------------------

* Pre/post stage requires for service installation
  - Service installation requires some %Requires(post) and so on.
    Please check the "Services" section of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

B. Build stage
* Parallel make
  - Please enable parallel make support when it is possible.
    When it is not possible, write a note as a comment.

* Fedora specific compilation flags
  - are not passed.
---------------------------------------------------
building luay
echo " building dep for luay.c"
 building dep for luay.c
gcc -I. -I/builddir/build/BUILD/freepops-0.2.0/modules/include -O2 -g3 -Wall
-DHAVE_CONFIG_H -I/builddir/build/BUILD/freepops-0.2.0     -I.
-I/builddir/build/BUILD/freepops-0.2.0/modules/include  -MM luay.c > .luay.d;
----------------------------------------------------
    - where fedora specific compilation flags (can be checked by
      "rpm --eval %optflags" are
----------------------------------------------------
-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables
----------------------------------------------------
      and this must be used.

C. Install stage
* Timestamps
  - Keep timestamps on the files which are not created or modified
    during build stage.
----------------------------------------------------
install -m755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/freepopsd
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/freepopsd
----------------------------------------------------
    Please use "install -p".

D. File entry
* Directory ownership
  - The following directories are not owned by any packages.
----------------------------------------------------
%{_datadir}/freepops/
%{_sysconfdir}/sysconfig/
%{_libdir}/freepops/
---------------------------------------------------- 
    Note: the entry 
---------------------------------------------------
%files
%defattr(-,root,root,-)
foo/
---------------------------------------------------
    (where foo is a directory) means the directory foo/ itself and
    all the files/directories/etc under foo/, while
---------------------------------------------------
%files
%defattr(-,root,root,-)
%dir foo/
---------------------------------------------------
    means the directory foo/ only.
Comment 7 Francesco Laurita 2007-04-10 05:49:21 EDT
(In reply to comment #6)

> Z. First..
> * Unneeded comment
>   - Please remove all unneeded comments.... These comments

done!

> A. Description section
> * Source0
>   - Please specify the URL where we can get tarball at Source0
done


> * Redundant BuildRequires

done

> * Pre/post stage requires for service installation
>   - Service installation requires some %Requires(post) and so on.

Done by adding
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service


> B. Build stage
> * Parallel make

By adding %{?_smp_mflags} after 
make it not works. 
I'm not sure if parallel make isn't supported or it's just a my mistake

> * Fedora specific compilation flags
>   - are not passed.

fixed

> C. Install stage
> * Timestamps
>   - Keep timestamps on the files which are not created or modified

done

> D. File entry
> * Directory ownership

fixed


Spec URL: http://francesco-laurita.info/files/fedora/freepops.spec
SRPM URL: http://francesco-laurita.info/files/fedora/freepops-0.2.2-1.src.rpm

Cya!!!
Comment 8 Mamoru TASAKA 2007-04-10 12:35:49 EDT
Well, for -2:

* Documention update
  - Update documents which uses /var/lib/freepops/. This fedora
    rpms use /usr/share/freepops.
    One example is doc/freepops-updater-dialog.1 .

* Directory/file ownership
  - Well, as I noted above, while
---------------------------------------
%files
%dir foo/
---------------------------------------
    means the directory foo/ only, whey you write
---------------------------------------
foo/
---------------------------------------
    it means the directory foo/ and all files/directories under
    foo/.
    So.
---------------------------------------
%{_libdir}/freepops/
---------------------------------------
    contains %{_libdir}/freepops/updater_fltk.so and this
    file is installed into main and -updater rpms.
    Also, %{_sysconfdir}/freepops/config.lua is listed twice.

* Souce0
  - Well, what I meant by "specify Source0 URL" is that
    you should write
---------------------------------------
URL:            http://www.freepops.org
Source0:	http://downloads.sourceforge.net/freepops/freepops-%{name}.tar.gz
---------------------------------------

* Local copy of libraries
  - Check "Duplication of system libraries" of
    http://fedoraproject.org/wiki/Packaging/Guidelines .

    Here what is the problem is that this package (freepops) has a tarball
    of other libraries in it and use them, which must be avoided.

    You have to
    - first submit a review request of the libraries this package uses
      (luafilesystem, luacurl, luaexpat...) seperately
    - add patches to freepops so that freepops uses the _external_ libraries
      you submitted seperately.
Comment 9 Francesco Laurita 2007-04-11 13:48:18 EDT
(In reply to comment #8)

> 
>     You have to
>     - first submit a review request of the libraries this package uses
>       (luafilesystem, luacurl, luaexpat...) seperately
>     - add patches to freepops so that freepops uses the _external_ libraries
>       you submitted seperately.
> 

I'm working on it.
I'll keep u informed
Comment 10 Mamoru TASAKA 2007-05-04 04:06:43 EDT
ping?
Comment 11 Mamoru TASAKA 2007-05-28 10:00:32 EDT
ping again?
Comment 12 Mamoru TASAKA 2007-06-14 10:34:00 EDT
I will close this bug if no response is received from the
submitter within one week.
Comment 13 Mamoru TASAKA 2007-06-22 12:18:49 EDT
Once close.

If someone want to import this package into Fedora,
please file a new bug report, thank you!